HalJsonDataBindingSourceCreator (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.binding.bindingsource
[Groovy] Class HalJsonDataBindingSourceCreator

    java.lang.Object
      org.codehaus.groovy.grails.web.binding.bindingsource.DefaultDataBindingSourceCreator
          org.grails.databinding.bindingsource.AbstractRequestBodyDataBindingSourceCreator
              org.codehaus.groovy.grails.web.binding.bindingsource.JsonDataBindingSourceCreator
                  org.codehaus.groovy.grails.web.binding.bindingsource.HalJsonDataBindingSourceCreator

    @groovy.transform.CompileStatic
    class HalJsonDataBindingSourceCreator
    extends JsonDataBindingSourceCreator

Creates DataBindingSource objects from HAL JSON in the request body

Authors:
  Jeff Brown
  Graeme Rocher

See Also:
  DataBindingSource
  DataBindingSourceCreator

Since:
  2.3

Nested Class Summary
`class` | `HalJsonDataBindingSourceCreator.HalJsonObjectMap`

Field Summary
`static java.lang.String` | `HAL_EMBEDDED_ELEMENT`

Method Summary
`protected java.util.Map` | `createJsonObjectMap(com.google.gson.JsonElement jsonElement)`
`MimeType[]` | `getMimeTypes()`

Methods inherited from class JsonDataBindingSourceCreator
createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createDataBindingSource, createJsonObjectMap, getMimeTypes, getValueForJsonElement

Methods inherited from class AbstractRequestBodyDataBindingSourceCreator
createBindingSource, createBindingSource, createBindingSourceCreationException, createCollectionBindingSource, createCollectionBindingSource, createCollectionDataBindingSource, createDataBindingSource, getTargetType

Methods inherited from class DefaultDataBindingSourceCreator
createCollectionDataBindingSource, createDataBindingSource, createDataBindingSource, getMimeTypes, getTargetType

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### HAL_EMBEDDED_ELEMENT

    public static final java.lang.String HAL_EMBEDDED_ELEMENT

Method Detail

### createJsonObjectMap

    @java.lang.Override
    protected java.util.Map createJsonObjectMap(com.google.gson.JsonElement jsonElement)

### getMimeTypes

    @java.lang.Override
    MimeType[] getMimeTypes()

Groovy Documentation